DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] SSSE3 instruction set not enabled ERROR - use msse4.2
@ 2014-09-05 13:23 Raj Ravi
  2014-09-05 13:38 ` Thomas Monjalon
  2014-09-05 13:40 ` Masaru Oki
  0 siblings, 2 replies; 5+ messages in thread
From: Raj Ravi @ 2014-09-05 13:23 UTC (permalink / raw)
  To: dev

Hi,
I was facing this error:
"SSSE3 instruction set not enabled" while building dpdk.

Using the following commands:
make config  T=x86_64-native-linuxapp-gcc
make install  T=x86_64-native-linuxapp-gcc

So, again I tried like this :
make config    T=x86_64-native-linuxapp-gcc   EXTRA_CFLAGS="-msse4.2"
make install    T=x86_64-native-linuxapp-gcc   EXTRA_CFLAGS="-msse4.2"

Now, the build goes through.
Is This method correct  to follow ?

Thanks

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [dpdk-dev] SSSE3 instruction set not enabled ERROR - use msse4.2
  2014-09-05 13:23 [dpdk-dev] SSSE3 instruction set not enabled ERROR - use msse4.2 Raj Ravi
@ 2014-09-05 13:38 ` Thomas Monjalon
  2014-09-05 13:40 ` Masaru Oki
  1 sibling, 0 replies; 5+ messages in thread
From: Thomas Monjalon @ 2014-09-05 13:38 UTC (permalink / raw)
  To: Raj Ravi; +Cc: dev

Hi,

2014-09-05 18:53, Raj Ravi:
> I was facing this error:
> "SSSE3 instruction set not enabled" while building dpdk.

It should not happen with last version (1.7.1).

> Using the following commands:
> make config  T=x86_64-native-linuxapp-gcc
> make install  T=x86_64-native-linuxapp-gcc

Please precise which DPDK version was it and what is your CPU
(/proc/cpuinfo could help).

Thanks
-- 
Thomas

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [dpdk-dev] SSSE3 instruction set not enabled ERROR - use msse4.2
  2014-09-05 13:23 [dpdk-dev] SSSE3 instruction set not enabled ERROR - use msse4.2 Raj Ravi
  2014-09-05 13:38 ` Thomas Monjalon
@ 2014-09-05 13:40 ` Masaru Oki
  2014-09-05 15:02   ` Raj Ravi
  1 sibling, 1 reply; 5+ messages in thread
From: Masaru Oki @ 2014-09-05 13:40 UTC (permalink / raw)
  To: Raj Ravi; +Cc: dev

Hi,
What is your build environment (processor)?
I got same error with AMD Phoenom II, doesn't have SSSE3 instruction.


2014-09-05 22:23 GMT+09:00 Raj Ravi <mekaviraj@gmail.com>:

> Hi,
> I was facing this error:
> "SSSE3 instruction set not enabled" while building dpdk.
>
> Using the following commands:
> make config  T=x86_64-native-linuxapp-gcc
> make install  T=x86_64-native-linuxapp-gcc
>
> So, again I tried like this :
> make config    T=x86_64-native-linuxapp-gcc   EXTRA_CFLAGS="-msse4.2"
> make install    T=x86_64-native-linuxapp-gcc   EXTRA_CFLAGS="-msse4.2"
>
> Now, the build goes through.
> Is This method correct  to follow ?
>
> Thanks
>

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [dpdk-dev] SSSE3 instruction set not enabled ERROR - use msse4.2
  2014-09-05 13:40 ` Masaru Oki
@ 2014-09-05 15:02   ` Raj Ravi
  2014-09-05 16:45     ` Neil Horman
  0 siblings, 1 reply; 5+ messages in thread
From: Raj Ravi @ 2014-09-05 15:02 UTC (permalink / raw)
  To: Masaru Oki, thomas.monjalon; +Cc: dev

====================================
cpuinfo:
cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 16
model : 4
model name : AMD Phenom(tm) II X4 955 Processor
stepping : 3
microcode : 0x10000c8
cpu MHz : 800.000
cache size : 512 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 4
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 5
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt
pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl
nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm
extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit
wdt hw_pstate npt lbrv svm_lock nrip_save
bogomips : 6399.94
TLB size : 1024 4K pages
clflush size : 64
cache_alignment : 64
address sizes : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate
===================================

Fedora 20  - 3.15.10 default Fedora kernel  used.

===================================

I have built dpdk-1.7.0 and faced this error.
I have tried building dpdk-1.7.1 , but faced the same error.


Only after adding msse4.2, this errors goes away.


Thanks



On Fri, Sep 5, 2014 at 7:10 PM, Masaru Oki <m-oki@stratosphere.co.jp> wrote:
> Hi,
> What is your build environment (processor)?
> I got same error with AMD Phoenom II, doesn't have SSSE3 instruction.
>
>
> 2014-09-05 22:23 GMT+09:00 Raj Ravi <mekaviraj@gmail.com>:
>>
>> Hi,
>> I was facing this error:
>> "SSSE3 instruction set not enabled" while building dpdk.
>>
>> Using the following commands:
>> make config  T=x86_64-native-linuxapp-gcc
>> make install  T=x86_64-native-linuxapp-gcc
>>
>> So, again I tried like this :
>> make config    T=x86_64-native-linuxapp-gcc   EXTRA_CFLAGS="-msse4.2"
>> make install    T=x86_64-native-linuxapp-gcc   EXTRA_CFLAGS="-msse4.2"
>>
>> Now, the build goes through.
>> Is This method correct  to follow ?
>>
>> Thanks
>
>

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [dpdk-dev] SSSE3 instruction set not enabled ERROR - use msse4.2
  2014-09-05 15:02   ` Raj Ravi
@ 2014-09-05 16:45     ` Neil Horman
  0 siblings, 0 replies; 5+ messages in thread
From: Neil Horman @ 2014-09-05 16:45 UTC (permalink / raw)
  To: Raj Ravi; +Cc: dev

On Fri, Sep 05, 2014 at 08:32:56PM +0530, Raj Ravi wrote:
> ====================================
> cpuinfo:
> cat /proc/cpuinfo
> processor : 0
> vendor_id : AuthenticAMD
> cpu family : 16
> model : 4
> model name : AMD Phenom(tm) II X4 955 Processor
> stepping : 3
> microcode : 0x10000c8
> cpu MHz : 800.000
> cache size : 512 KB
> physical id : 0
> siblings : 4
> core id : 0
> cpu cores : 4
> apicid : 0
> initial apicid : 0
> fpu : yes
> fpu_exception : yes
> cpuid level : 5
> wp : yes
> flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
> pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt
> pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl
> nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm
> extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit
> wdt hw_pstate npt lbrv svm_lock nrip_save
> bogomips : 6399.94
> TLB size : 1024 4K pages
> clflush size : 64
> cache_alignment : 64
> address sizes : 48 bits physical, 48 bits virtual
> power management: ts ttp tm stc 100mhzsteps hwpstate
> ===================================
> 
> Fedora 20  - 3.15.10 default Fedora kernel  used.
> 
> ===================================
> 
> I have built dpdk-1.7.0 and faced this error.
> I have tried building dpdk-1.7.1 , but faced the same error.
> 
> 
> Only after adding msse4.2, this errors goes away.
> 

As Thomas said, it won't happen with 1.7.1, but the real question is, what do
you want to run this on. enabling sse4.2 in the compiler makes the error go
away, but it will cause run time failure if you try to run the built binary on a
system that doesn't support sse4.2.

Neil

> 
> Thanks
> 
> 
> 
> On Fri, Sep 5, 2014 at 7:10 PM, Masaru Oki <m-oki@stratosphere.co.jp> wrote:
> > Hi,
> > What is your build environment (processor)?
> > I got same error with AMD Phoenom II, doesn't have SSSE3 instruction.
> >
> >
> > 2014-09-05 22:23 GMT+09:00 Raj Ravi <mekaviraj@gmail.com>:
> >>
> >> Hi,
> >> I was facing this error:
> >> "SSSE3 instruction set not enabled" while building dpdk.
> >>
> >> Using the following commands:
> >> make config  T=x86_64-native-linuxapp-gcc
> >> make install  T=x86_64-native-linuxapp-gcc
> >>
> >> So, again I tried like this :
> >> make config    T=x86_64-native-linuxapp-gcc   EXTRA_CFLAGS="-msse4.2"
> >> make install    T=x86_64-native-linuxapp-gcc   EXTRA_CFLAGS="-msse4.2"
> >>
> >> Now, the build goes through.
> >> Is This method correct  to follow ?
> >>
> >> Thanks
> >
> >
> 

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2014-09-05 16:41 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2014-09-05 13:23 [dpdk-dev] SSSE3 instruction set not enabled ERROR - use msse4.2 Raj Ravi
2014-09-05 13:38 ` Thomas Monjalon
2014-09-05 13:40 ` Masaru Oki
2014-09-05 15:02   ` Raj Ravi
2014-09-05 16:45     ` Neil Horman

DPDK patches and discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.dpdk.org/dev/0 dev/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 dev dev/ https://inbox.dpdk.org/dev \
		dev@dpdk.org
	public-inbox-index dev

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.dev


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git